<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
  </head>
  <body onload="onPageLoadingInput()">
    <div class="container-fluid">
      <h1 class="text-center">Order Detail</h1>
      <label for="">Order Code</label>
      <input class="form-control" id="inp-order-code" type="text" />
      <label for="">Kích Cỡ</label>
      <select class="form-control mb-3" name="" id="select-kich-co">
        <option value="">Chọn cỡ combo(combo size)</option>
        <option value="">Size nhỏ (S)</option>
        <option value="">Size vừa (M)</option>
        <option value="">Size lớn (L)</option>
      </select>
      <label for="">Đường Kính</label>
      <input class="form-control" id="inp-duong-kinh" type="text" />
      <label for="">Sườn Nướng(miếng)</label>
      <input class="form-control" id="inp-suon-nuong" type="text" />
      <label for="">Đồ Uống</label>
      <select class="form-control mb-2" name="" id="select-drink">
        <option value="">Chọn đồ uống</option>
        <option value=""></option>
      </select>

      <label for="">Số Lượng Nước Uống</label>
      <input class="form-control" id="inp-so-luong-nuoc" type="text" />
      <label for="">Vourcher Id</label>
      <input class="form-control" id="inp-vourcher" type="text" />
      <label for="">Loại Pizza</label>
      <select class="form-control mb-3" name="" id="select-loai-pizza">
        <option value="">Chọn loại pizza</option>
        <option value="">Pizza Hawai</option>
        <option value="">Pizza Thịt Nướng</option>
        <option value="">Pizza Hải Sản</option>
      </select>
      <label for="">Salad</label>
      <input class="form-control" id="inp-salad" type="text" />
      <label for="">Thành Tiền</label>
      <input class="form-control" id="inp-thanh-tien" type="text" />
      <label for="">Giảm Giá</label>
      <input class="form-control" id="inp-giam-gia" type="text" />
      <label for="">Họ Tên</label>
      <input class="form-control" id="inp-ho-ten" type="text" />
      <label for="">Email</label>
      <input class="form-control" id="inp-email" type="text" />
      <label for="">Số Điện Thoại</label>
      <input class="form-control" id="inp-so-dien-thoai" type="text" />
      <label for="">Địa Chỉ</label>
      <input class="form-control" id="inp-dia-chi" type="text" />
      <label for="">Lời Nhắn</label>
      <input class="form-control" id="inp-loi-nhan" type="text" />
      <label for="">Trạng Thái Đơn Hàng</label>
      <input class="form-control" id="inp-trang-thai" type="text" />
      <label for="">Ngày Tạo Đơn hàng</label>
      <input class="form-control" id="inp-ngay-tao" type="text" />
      <label for="">Ngày cập nhật</label>
      <input class="form-control" id="inp-ngay-cap-nhat" type="text" />
      <button class="btn btn-success mt-3 w-10" onclick="onBtnUpdateConfirm()">
        Confirm
      </button>
      <button class="btn btn-primary mt-3 w-10" onclick="onBtnUpdateCancle()">
        Cancel
      </button>
      <button class="btn btn-primary mt-3 w-10" onclick="onBtnCancleClick()">
        Back
      </button>
    </div>
    <hr />
    <hr />
    <hr />
    <hr />
    <hr />
    <script>
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
      const gREQUEST_STATUS_OK = 200;
      const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
      const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders/";

      const gBASE_URL_DRINK =
        "http://203.171.20.210:8080/devcamp-pizza365/drinks";

      var gId;

      var gOrderCode;
      var vURL = window.location.href;
      var vStringURL = new URL(vURL);

      gOrderCode = vStringURL.searchParams.get("orderCode");
      gId = vStringURL.searchParams.get("id");

      console.log("gOrderCode = " + gOrderCode);

      /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      function onBtnCancleClick() {
        var vLink = "indexListView.html";
        window.location.href = vLink;
      }
      // load dữ liệu vào input

      function onPageLoadingInput() {
        loadDataDrink();
        var vXmlHttp = new XMLHttpRequest();
        goiApiDeLayThongTinOrderTheoOrderCode(vXmlHttp);
        kiemTraIdVaOrderCode();

        vXmlHttp.onreadystatechange = function () {
          if (
            vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            vXmlHttp.status == gREQUEST_STATUS_OK
          ) {
            hienThiThongTinInput(vXmlHttp);
          }
        };
      }
      // update trạng thái
      function onBtnUpdateConfirm() {
        var vOrderObj = {
          trangThai: "confirmed",
        };
        var vXmlHttp = new XMLHttpRequest();
        goiApiUpdateOrder(vOrderObj, vXmlHttp);
        vXmlHttp.onreadystatechange = function () {
          if (
            vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            vXmlHttp.status == gREQUEST_STATUS_OK
          ) {
            alert("update thanh cong");
          }
        };
      }
      // update trạng thái
      function onBtnUpdateCancle() {
        var vOrderObj = {
          trangThai: "cancle",
        };
        var vXmlHttp = new XMLHttpRequest();
        goiApiUpdateOrder(vOrderObj, vXmlHttp);
        vXmlHttp.onreadystatechange = function () {
          if (
            vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            vXmlHttp.status == gREQUEST_STATUS_OK
          ) {
            alert("update thanh cong");
          }
        };
      }
      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
      // goi api de cap nhat orrder
      function goiApiUpdateOrder(paramOrderObj, paramXmlHttp) {
        console.log(gId);
        var vJsonOrder = JSON.stringify(paramOrderObj);
        paramXmlHttp.open("PUT", gBASE_URL + gId);
        paramXmlHttp.setRequestHeader(
          "Content-Type",
          "application/json;charset=UTF-8"
        );

        paramXmlHttp.send(vJsonOrder);
      }

      function kiemTraIdVaOrderCode() {
        if (gId == null || gId == "") {
          alert("không co id");
        }
        if (gOrderCode == null || gOrderCode == "") {
          alert("khoonh tồn tại orderCode");
        }
      }

      // load data nuoc uong
      function loadDataDrink() {
        var vXmlHttp = new XMLHttpRequest();
        goiApiDeLayDrink(vXmlHttp);
        vXmlHttp.onreadystatechange = function () {
          if (
            vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            vXmlHttp.status == gREQUEST_STATUS_OK
          ) {
            hienThiThongTinDrink(vXmlHttp);
          }
        };
      }

      // console.log(gURL_ORDER);
      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
      // gọi api để lấy thông tin order
      function goiApiDeLayThongTinOrderTheoOrderCode(paramXmlHttp) {
        paramXmlHttp.open("GET", gBASE_URL + gOrderCode, true);
        paramXmlHttp.send();
      }
      // đỗ dữ liệu vào input
      function hienThiThongTinInput(paramXmlHttp) {
        var vOrderObj = JSON.parse(paramXmlHttp.responseText);

        var vInputOrderCode = document.getElementById("inp-order-code");
        vInputOrderCode.value = vOrderObj.orderCode;

        var vInputDuongKinh = document.getElementById("inp-duong-kinh");
        vInputDuongKinh.value = vOrderObj.duongKinh;
        var vInputSuonNuong = document.getElementById("inp-suon-nuong");
        vInputSuonNuong.value = vOrderObj.suon;

        var vInputsoLuongNuocUong =
          document.getElementById("inp-so-luong-nuoc");
        vInputsoLuongNuocUong.value = vOrderObj.soLuongNuoc;
        var vInputIdVourcher = document.getElementById("inp-vourcher");
        vInputIdVourcher.value = vOrderObj.idVourcher;
        var vInputSalad = document.getElementById("inp-salad");
        vInputSalad.value = vOrderObj.salad;
        var vInputThanhTien = document.getElementById("inp-thanh-tien");
        vInputThanhTien.value = vOrderObj.thanhTien;
        var vInputGiamGia = document.getElementById("inp-giam-gia");
        vInputGiamGia.value = vOrderObj.giamGia;
        var vInputHoTen = document.getElementById("inp-ho-ten");
        vInputHoTen.value = vOrderObj.hoTen;
        var vInputEmail = document.getElementById("inp-email");
        vInputEmail.value = vOrderObj.email;
        var vInputSoDienThoai = document.getElementById("inp-so-dien-thoai");
        vInputSoDienThoai.value = vOrderObj.soDienThoai;
        var vInputDiaChi = document.getElementById("inp-dia-chi");
        vInputDiaChi.value = vOrderObj.diaChi;
        var vInputTrangThai = document.getElementById("inp-trang-thai");
        vInputTrangThai.value = vOrderObj.trangThai;
        var vInputLoiNhan = document.getElementById("inp-loi-nhan");
        vInputLoiNhan.value = vOrderObj.loiNhan;
        var vInputNgayCapNhat = document.getElementById("inp-ngay-cap-nhat");
        vInputNgayCapNhat.value = vOrderObj.ngayCapNhat;
        var vInputNgayTao = document.getElementById("inp-ngay-tao");
        vInputNgayTao.value = vOrderObj.ngayTao;

        var vSelectKichCo = document.getElementById("select-kich-co");

        vSelectKichCo.options[vSelectKichCo.selectedIndex].text =
          vOrderObj.kichCo;

        var vSelectDrink = document.getElementById("select-drink");

        vSelectDrink.options[vSelectDrink.selectedIndex].text =
          vOrderObj.idLoaiNuocUong;

        var vSelectLoaiPizza = document.getElementById("select-loai-pizza");
        vSelectLoaiPizza.options[vSelectLoaiPizza.selectedIndex].text =
          vOrderObj.loaiPizza;
      }

      //  goi Api de lay nuoc uong
      function goiApiDeLayDrink(paramXmlHttp) {
        paramXmlHttp.open("GET", gBASE_URL_DRINK, true);
        paramXmlHttp.send();
      }
      // hien thi thong tin nuoc uong ra input
      function hienThiThongTinDrink(paramXmlHttp) {
        var vObjDrink = JSON.parse(paramXmlHttp.responseText);
        var vSelectDrink = document.getElementById("select-drink");
        for (var bI = 0; bI < vObjDrink.length; bI++) {
          var vNewOption = document.createElement("option");
          vNewOption.value = vObjDrink[bI].maNuocUong;
          vNewOption.text = vObjDrink[bI].tenNuocUong;

          vSelectDrink.appendChild(vNewOption);
        }
      }
    </script>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
